{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
{% endblock %}

{% block content %}

  <div class="ui raised segment">
    <div class="ui breadcrumb" style="margin: 2%">
      <a href="{{path('homepage')}}"class="section">Home</a>
      <i class="right angle icon divider"></i>
      <a href="{{path('admin_ristoranti_lista')}}" class="section">Ristoranti</a>
      <i class="right angle icon divider"></i>
      <a href="{{path('admin_ristorante_dettagli', { 'id': ristorante.id })}}" class="section">{{ristorante.nome}}</a>
      <i class="right angle icon divider"></i>
      <div class="active section">Creazione menu</div>
    </div>
  </div>

  <div class="container">
    <h2 class="ui centeraligned header" style="margin-top: 20px; margin-left: 20px">
      <i class="leanpub icon"></i>
      <div class="content" style="font-size: 30px">
        <em><strong>Crea il menu di "{{ristorante.nome}}"</strong></em>
      </div>
    </h2>
    <div class="ui divider"></div>
    <div class="content" style="padding: 20px">
      <form id="new-menu-form" class="ui form" method="post">
        <input type="hidden" name="ristorante" value="{{ristorante.id}}"/>
        <div class="ui container" id="menu-container" style="margin: 0 !important">
          <div class="field">
            <label>Descrizione</label>
            <textarea rows="2" name="descrizione" placeholder="Descrizione"></textarea>
          </div>
          <div class="ui divider"></div>
          <div class="fields" id="sezione-form">
            <div class="required field">
              <label>Sezione</label>
              <input type="text" placeholder="Sezione" name="sezioni[]">
            </div>
            <div class="field">
              <label>Descrizione</label>
              <textarea rows="2" placeholder="Descrizione" name="descrizioni[]" style="width: 300px"></textarea>
            </div>
            <div id="aggiungi-sezione" class="icon button" data-position="top right" data-tooltip="Aggiungi sezione" data-inverted="">
              <i class="ui add circle icon" style="font-size: 40px; padding-top: 5px; cursor: pointer"></i>
            </div>
          </div>
        </div>
        <small><em>Seleziona le <strong>sezioni</strong> che vorrai nel menu. I piatti li potrai aggiungere e personalizzare in seguito.</em></small>
        <div class="ui divider"></div>
        <span style="color: #DB2828; margin-right: 5px">*</span>Campo obbligatorio
        <button id="submit-menu-button" style="margin: 0; display: inline; float:right" type="submit" class="submit-button ui right labeled icon positive button">
          <i class="checkmark icon"></i> Ok, ho finito!
        </button>
        <div style="margin-bottom: 10px; display: inline; float:right" class="actions">
          <a href="{{path('admin_ristorante_dettagli', { 'id': ristorante.id })}}"><div class="ui cancel button">
              Annulla
          </div></a>
        </div>
      </form>
    </div>
  </div>

  {% block javascripts %}
  {% endblock %}

{% endblock %}
